# \[DELETE] /notices/1,2,3

{% tabs %}
{% tab title="Critique" %}

* Violates REST API principles.
  * Semantic violation since `1,2,3` is not a resource.&#x20;
* It opens up to an arbitrary amount of IDs in the URI.
* This is also undesired because the controller has to parse the IDs, increasing overhead in the handler.
  {% endtab %}

{% tab title="Suggestion" %}

* This should be:
  * Three separate calls.
  * OR accept query parameters as a filter
    * `?id[]=1&id[]=2&id[]=3`
      * HTTP will automatically construct this format into an array.
    * `?id=1,2,3`
      * The controller will need to parse the IDs manually.

{% hint style="info" %}
**Final Suggestion**&#x20;

`[DELETE] /notices?id[]=1&id[]=2&id[]=3`
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elentra.org/api/elentra-api-standards/routing-and-parameters/common-mistakes/delete-notices-1-2-3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
